Dashboard
APIDelete Coupon API - Remove Discount Code | BotSubscription
api.botsubscription.com
GET/v1/endpoint
AuthenticationBearer
Token
Stays in this tab. Required for this endpoint — the value below is what gets sent.
Mock
curl --request GET \
  --url https://api.botsubscription.com/v1/endpoint \
  --header 'Authorization: Bearer sk_live_•••'

Delete Coupon - Remove Discount Code Permanently via API

Permanently delete an archived coupon. Note: Coupons must first be archived (by updating their status to "archived" via the Update Coupon endpoint) before they can be deleted.

DELETE/v2/projects/{project_id}/coupons/{coupon_id}

Authorization

Bearer TokenRequired

Path Parameters

project_idstringrequired

The unique identifier of the project.

coupon_idstringrequired

The unique identifier of the coupon.

Last updated: